petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetType

Gets the SNES method type and name (as a string).

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetType(SNES snes,SNESType *type)

Not Collective Many br

### Input Parameter

snes - nonlinear solver context Many br

### Output Parameter

type - SNES method (a character string) Many br

Many br

### Keywords

SNES, nonlinear, get, type, name

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages